Loading...
Searching...
No Matches
_addrxlat_paging_form Struct Reference

## Data Fields

addrxlat_pte_format_t | pte_format
| Format of each page table entry.
unsigned short | nfields
| Number of bit fields in the source address.
unsigned short | fieldsz [ADDRXLAT_FIELDS_MAX]
| Sizes of individual address fields in bits.

## Field Documentation

## fieldsz

unsigned short _addrxlat_paging_form::fieldsz[ADDRXLAT_FIELDS_MAX]

Sizes of individual address fields in bits.

This array is sorted from lowest-level tables to the top level. The first element is the number of bits for the page offset (also known as page shift).

## nfields

unsigned short _addrxlat_paging_form::nfields

Number of bit fields in the source address.

With hierarchical page tables, a virtual address is split into multiple fields, e.g. on x86_64 there are up to 5 fields:

- bits 47:39 = PML4 index
- bits 38:30 = page-directory-pointer index
- bits 29:21 = page directory index
- bits 20:12 = page table index
- bits 11:0 = page offset

The documentation for this struct was generated from the following file:

- include/libkdumpfile/addrxlat.h